<?php
/**
* @package   Gridbox
* @author    Balbooa http://www.balbooa.com/
* @copyright Copyright @ Balbooa
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

namespace Balbooa\Component\Gridbox\Administrator\View\Icons;

use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\MVC\View\HtmlView as BaseView;
use Balbooa\Component\Gridbox\Administrator\Helper\GridboxHelper;

defined('_JEXEC') or die;

class HtmlView extends BaseView
{
    public $items;
    protected $about;

    public function display($tpl = null)
    {
        $this->about = GridboxHelper::aboutUs();
        $doc = Factory::getDocument();
        $doc->addScript(Uri::root().'/media/vendor/jquery/js/jquery.min.js');
        $doc->addScript(Uri::root().'/components/com_gridbox/libraries/bootstrap/bootstrap.js');
        $doc->addScript('components/com_gridbox/assets/js/ba-icons.js');
        
        parent::display($tpl);
    }
}